Skip to main content
Weavr API
Transfers

Get a transfer

GET/transfers/{id}

Returns the transfer identified by id, including its current state.

Use the state to determine whether the transfer is scheduled, has completed, or has failed.

Request

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
TransferTransfer · object · 12 fields
Response example
{  "id": "2468013579",  "profileId": "10001",  "tag": "invoice-2026-0042",  "source": {    "type": "managed_accounts",    "id": "123456789"  },  "destination": {    "type": "managed_accounts",    "id": "987654321"  },  "destinationAmount": {    "currency": "GBP",    "amount": 1250  },  "description": "Invoice 2026-0042",  "state": "COMPLETED",  "creationTimestamp": 1786118400000,  "executionTimestamp": "1786118401250"}